# Crow: crow::detail::middleware_indices Struct Reference

crow::detail::middleware_indices Struct Reference

Typesafe wrapper for storing lists of middleware as their indices in the App. More...

`#include <routing.h>`

## Public Member Functions

template<typename App >
void | push ()
template<typename App , typename MW , typename... Middlewares>
void | push ()
void | merge_front (const detail::middleware_indices &other)
void | merge_back (const detail::middleware_indices &other)
void | pop_back (const detail::middleware_indices &other)
bool | empty () const
void | pack ()
const std::vector< int > & | indices ()

## Detailed Description

Typesafe wrapper for storing lists of middleware as their indices in the App.

The documentation for this struct was generated from the following file:

- include/crow/routing.h